import {
	WeaTools
} from 'ecCom'

export const getRight = (params) => {
	return WeaTools.callApi('/api/hrm/traintype/getHasRight', 'GET', params);
}

export const getTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/traintype/getSearchList', 'GET', params);
}

export const getButtonsMenu = (params) => {
	return WeaTools.callApi('/api/hrm/traintype/getRightMenu', 'GET', params);
}

export const getSearchCondition = (params) => {
	return WeaTools.callApi('/api/hrm/traintype/getSearchCondition', 'GET', params);
}

export const getEditorForm = (params) => {
	return WeaTools.callApi('/api/hrm/traintype/getTrainTypeForm?is_multilang_set=true', 'GET', params);
}

export const add = (params) => {
	return WeaTools.callApi('/api/hrm/traintype/add', 'POST', params);
}

export const edit = (params) => {
	return WeaTools.callApi('/api/hrm/traintype/edit', 'POST', params);
}

export const deleteTableRows = (params) => {
	return WeaTools.callApi('/api/hrm/traintype/delete', 'POST', params);
}